# Makefile.in generated automatically by automake 1.3 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997, 1998 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DISTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AS = @AS@
CC = @CC@
CPP = @CPP@
CXX = @CXX@
CXXCPP = @CXXCPP@
DLLTOOL = @DLLTOOL@
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_RPATH = @KDE_RPATH@
KOFFICECORE_INCLUDES = @KOFFICECORE_INCLUDES@
KOFFICEUI_INCLUDES = @KOFFICEUI_INCLUDES@
KOFFICE_INCLUDES = @KOFFICE_INCLUDES@
KOFFICE_LIBS = @KOFFICE_LIBS@
KOML_INCLUDES = @KOML_INCLUDES@
KSTORE_INCLUDES = @KSTORE_INCLUDES@
LD = @LD@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = @LIBOBJS@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KDEUTIL = @LIB_KDEUTIL@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KHTMLW = @LIB_KHTMLW@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KOFFICECORE = @LIB_KOFFICECORE@
LIB_KOFFICEUI = @LIB_KOFFICEUI@
LIB_KOML = @LIB_KOML@
LIB_KSTORE = @LIB_KSTORE@
LIB_MEDIATOOL = @LIB_MEDIATOOL@
LIB_QT = @LIB_QT@
LIB_X11 = @LIB_X11@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = @MOC@
MSGFMT = @MSGFMT@
NM = @NM@
PACKAGE = @PACKAGE@
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
TOPSUBDIRS = @TOPSUBDIRS@
USE_NLS = @USE_NLS@
VERSION = @VERSION@
XGETTEXT = @XGETTEXT@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
all_includes = @all_includes@
all_libraries = @all_libraries@
idldir = @idldir@
install_root = @install_root@
interfacedir = @interfacedir@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_cgidir = @kde_cgidir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_minidir = @kde_minidir@
kde_partsdir = @kde_partsdir@
kde_sounddir = @kde_sounddir@
kde_toolbardir = @kde_toolbardir@
kde_wallpaperdir = @kde_wallpaperdir@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
x_includes = @x_includes@
x_libraries = @x_libraries@

INCLUDES= $(all_includes) -I$(srcdir)/..

datadir = $(kde_datadir)/killustrator

noinst_LIBRARIES = libkillu.a

noinst_HEADERS = Handle.h GObject.h GPolyline.h GPolygon.h GOval.h \
		 GText.h GGroup.h GClipart.h GBezier.h GPixmap.h \
		 Tool.h PolylineTool.h \
		 RectangleTool.h OvalTool.h TextTool.h FreeHandTool.h \
		 SelectionTool.h PolygonTool.h ToolController.h \
		 EditPointTool.h BezierTool.h ZoomTool.h \
		 ColorField.h Canvas.h \
		 QwViewport.h GDocument.h \
		 Coord.h PropertyEditor.h FloatSpinBox.h \
                 ColorComboBox.h FontSelector.h AlignmentDialog.h \
		 GridDialog.h PolygonConfigDialog.h PolygonPreview.h \
                 Command.h AlignCmd.h DistributeCmd.h InsertClipartCmd.h \
		 TranslateCmd.h ScaleCmd.h RotateCmd.h \
		 CreateOvalCmd.h CreatePolylineCmd.h \
		 CreateTextCmd.h CreateRectangleCmd.h \
		 GroupCmd.h UngroupCmd.h DeleteCmd.h DuplicateCmd.h \
		 CutCmd.h CopyCmd.h PasteCmd.h SetTextCmd.h \
		 SetPropertyCmd.h ReorderCmd.h \
		 AddLineSegmentCmd.h EditPointCmd.h \
		 CreatePolygonCmd.h CreateBezierCmd.h \
		 RemovePointCmd.h InsertPointCmd.h TextAlongPathCmd.h \
		 InsertObjCmd.h ShearCmd.h InsertPixmapCmd.h CommandHistory.h \
		 FilterInfo.h ExportFilter.h ImportFilter.h \
		 Ruler.h AboutDialog.h \
		 qwmf.h wmfstruct.h metafuncs.h version.h \
		 Arrow.h Painter.h LineStyle.h \
		 TransformationDialog.h koPageLayoutDia.h \
		 MainView.h PStateManager.h OptionDialog.h \
		 Preview.h units.h UnitBox.h ScriptDialog.h \
		 GLayer.h LayerDialog.h LayerView.h \
		 DocumentInfo.h Gradient.h GradientShape.h \
		 BrushCells.h PathTextTool.h \
		 EllipseConfigDialog.h MyTabCtl.h HelplineDialog.h

libkillu_a_SOURCES = Handle.cc GObject.cc GPolyline.cc GPolygon.cc \
			  GOval.cc GClipart.cc GBezier.cc GPixmap.cc \
			  GText.cc GGroup.cc Tool.cc PolylineTool.cc \
			  FreeHandTool.cc \
			  RectangleTool.cc OvalTool.cc TextTool.cc \
			  SelectionTool.cc PolygonTool.cc ToolController.cc \
			  EditPointTool.cc BezierTool.cc ZoomTool.cc \
			  ColorField.cc Canvas.cc \
                          QwViewport.cc GDocument.cc \
			  Coord.cc PropertyEditor.cc FloatSpinBox.cc \
                          ColorComboBox.cc FontSelector.cc AlignmentDialog.cc \
			  PolygonConfigDialog.cc PolygonPreview.cc \
			  GridDialog.cc Command.cc DuplicateCmd.cc \
                          AlignCmd.cc DistributeCmd.cc InsertClipartCmd.cc \
			  TranslateCmd.cc ScaleCmd.cc RotateCmd.cc \
			  CreateOvalCmd.cc CreatePolylineCmd.cc \
			  CreateTextCmd.cc CreateRectangleCmd.cc \
			  GroupCmd.cc UngroupCmd.cc DeleteCmd.cc \
			  CutCmd.cc CopyCmd.cc PasteCmd.cc \
			  SetTextCmd.cc SetPropertyCmd.cc ReorderCmd.cc \
			  AddLineSegmentCmd.cc EditPointCmd.cc \
			  CreatePolygonCmd.cc CreateBezierCmd.cc \
			  RemovePointCmd.cc InsertPointCmd.cc \
			  TextAlongPathCmd.cc InsertPixmapCmd.cc \
			  InsertObjCmd.cc ShearCmd.cc CommandHistory.cc \
			  FilterInfo.cc ExportFilter.cc \
			  ImportFilter.cc \
			  Ruler.cc AboutDialog.cc qwmf.cc \
			  Arrow.cc Painter.cc LineStyle.cc \
			  TransformationDialog.cc koPageLayoutDia.cc \
			  PStateManager.cc OptionDialog.cc \
			  Preview.cc units.cc UnitBox.cc ScriptDialog.cc \
			  GLayer.cc LayerDialog.cc LayerView.cc \
			  DocumentInfo.cc Gradient.cc GradientShape.cc \
			  BrushCells.cc PathTextTool.cc \
			  EllipseConfigDialog.cc MyTabCtl.cc \
			  HelplineDialog.cc

# just to make sure, automake makes them 
METASOURCES =	Handle.moc GObject.moc GPolyline.moc GPolygon.moc GOval.moc \
		GText.moc GGroup.moc GClipart.moc GBezier.moc GPixmap.moc \
		Tool.moc PolylineTool.moc FreeHandTool.moc \
		RectangleTool.moc OvalTool.moc TextTool.moc \
		SelectionTool.moc PolygonTool.moc ToolController.moc \
		EditPointTool.moc BezierTool.moc ZoomTool.moc \
		ColorField.moc Canvas.moc \
		QwViewport.moc GDocument.moc \
		PropertyEditor.moc FloatSpinBox.moc ColorComboBox.moc \
		FontSelector.moc AlignmentDialog.moc GridDialog.moc \
		PolygonConfigDialog.moc Ruler.moc AboutDialog.moc \
		PolygonPreview.moc TransformationDialog.moc \
		koPageLayoutDia.moc \
		PStateManager.moc OptionDialog.moc UnitBox.moc \
		ScriptDialog.moc GLayer.moc LayerDialog.moc \
		LayerView.moc CommandHistory.moc \
		DocumentInfo.moc BrushCells.moc PathTextTool.moc \
		EllipseConfigDialog.moc MyTabCtl.moc \
		HelplineDialog.moc

DISTCLEANFILES = $(METASOURCES)
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = ../../config.h
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) -I../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libkillu_a_LIBADD = 
libkillu_a_OBJECTS =  Handle.o GObject.o GPolyline.o GPolygon.o GOval.o \
GClipart.o GBezier.o GPixmap.o GText.o GGroup.o Tool.o PolylineTool.o \
FreeHandTool.o RectangleTool.o OvalTool.o TextTool.o SelectionTool.o \
PolygonTool.o ToolController.o EditPointTool.o BezierTool.o ZoomTool.o \
ColorField.o Canvas.o QwViewport.o GDocument.o Coord.o PropertyEditor.o \
FloatSpinBox.o ColorComboBox.o FontSelector.o AlignmentDialog.o \
PolygonConfigDialog.o PolygonPreview.o GridDialog.o Command.o \
DuplicateCmd.o AlignCmd.o DistributeCmd.o InsertClipartCmd.o \
TranslateCmd.o ScaleCmd.o RotateCmd.o CreateOvalCmd.o \
CreatePolylineCmd.o CreateTextCmd.o CreateRectangleCmd.o GroupCmd.o \
UngroupCmd.o DeleteCmd.o CutCmd.o CopyCmd.o PasteCmd.o SetTextCmd.o \
SetPropertyCmd.o ReorderCmd.o AddLineSegmentCmd.o EditPointCmd.o \
CreatePolygonCmd.o CreateBezierCmd.o RemovePointCmd.o InsertPointCmd.o \
TextAlongPathCmd.o InsertPixmapCmd.o InsertObjCmd.o ShearCmd.o \
CommandHistory.o FilterInfo.o ExportFilter.o ImportFilter.o Ruler.o \
AboutDialog.o qwmf.o Arrow.o Painter.o LineStyle.o \
TransformationDialog.o koPageLayoutDia.o PStateManager.o OptionDialog.o \
Preview.o units.o UnitBox.o ScriptDialog.o GLayer.o LayerDialog.o \
LayerView.o DocumentInfo.o Gradient.o GradientShape.o BrushCells.o \
PathTextTool.o EllipseConfigDialog.o MyTabCtl.o HelplineDialog.o
AR = ar
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(LIBTOOL) --mode=link $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
SOURCES = $(libkillu_a_SOURCES)
OBJECTS = $(libkillu_a_OBJECTS)

all: Makefile $(LIBRARIES) $(HEADERS)

.SUFFIXES:
.SUFFIXES: .S .c .cc .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && $(AUTOMAKE) --foreign --include-deps killustrator/share/Makefile
	cd $(top_srcdir) && perl admin/automoc killustrator/share/Makefile.in

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libkillu.a: $(libkillu_a_OBJECTS) $(libkillu_a_DEPENDENCIES)
	-rm -f libkillu.a
	$(AR) cru libkillu.a $(libkillu_a_OBJECTS) $(libkillu_a_LIBADD)
	$(RANLIB) libkillu.a
.cc.o:
	$(CXXCOMPILE) -c $<
.cc.lo:
	$(LTCXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $(SOURCES) $(HEADERS) $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = killustrator/share

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: 
	@$(NORMAL_INSTALL)

install-data: 
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:


mostlyclean-generic:
	-test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(DISTCLEANFILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags \
		mostlyclean-generic

clean:  clean-noinstLIBRARIES clean-compile clean-libtool clean-tags \
		clean-generic mostlyclean

distclean: distclean-metasources  distclean-noinstLIBRARIES distclean-compile \
		distclean-libtool distclean-tags distclean-generic \
		clean
	-rm -f config.status
	-rm -f libtool

maintainer-clean:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-generic \
		distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:


$(srcdir)/Handle.cc: Handle.moc
Handle.moc: $(srcdir)/Handle.h
	$(MOC) $(srcdir)/Handle.h -o Handle.moc

$(srcdir)/GObject.cc: GObject.moc
GObject.moc: $(srcdir)/GObject.h
	$(MOC) $(srcdir)/GObject.h -o GObject.moc

$(srcdir)/GPolyline.cc: GPolyline.moc
GPolyline.moc: $(srcdir)/GPolyline.h
	$(MOC) $(srcdir)/GPolyline.h -o GPolyline.moc

$(srcdir)/GPolygon.cc: GPolygon.moc
GPolygon.moc: $(srcdir)/GPolygon.h
	$(MOC) $(srcdir)/GPolygon.h -o GPolygon.moc

$(srcdir)/GOval.cc: GOval.moc
GOval.moc: $(srcdir)/GOval.h
	$(MOC) $(srcdir)/GOval.h -o GOval.moc

$(srcdir)/GText.cc: GText.moc
GText.moc: $(srcdir)/GText.h
	$(MOC) $(srcdir)/GText.h -o GText.moc

$(srcdir)/GGroup.cc: GGroup.moc
GGroup.moc: $(srcdir)/GGroup.h
	$(MOC) $(srcdir)/GGroup.h -o GGroup.moc

$(srcdir)/GClipart.cc: GClipart.moc
GClipart.moc: $(srcdir)/GClipart.h
	$(MOC) $(srcdir)/GClipart.h -o GClipart.moc

$(srcdir)/GBezier.cc: GBezier.moc
GBezier.moc: $(srcdir)/GBezier.h
	$(MOC) $(srcdir)/GBezier.h -o GBezier.moc

$(srcdir)/GPixmap.cc: GPixmap.moc
GPixmap.moc: $(srcdir)/GPixmap.h
	$(MOC) $(srcdir)/GPixmap.h -o GPixmap.moc

$(srcdir)/Tool.cc: Tool.moc
Tool.moc: $(srcdir)/Tool.h
	$(MOC) $(srcdir)/Tool.h -o Tool.moc

$(srcdir)/PolylineTool.cc: PolylineTool.moc
PolylineTool.moc: $(srcdir)/PolylineTool.h
	$(MOC) $(srcdir)/PolylineTool.h -o PolylineTool.moc

$(srcdir)/FreeHandTool.cc: FreeHandTool.moc
FreeHandTool.moc: $(srcdir)/FreeHandTool.h
	$(MOC) $(srcdir)/FreeHandTool.h -o FreeHandTool.moc

$(srcdir)/RectangleTool.cc: RectangleTool.moc
RectangleTool.moc: $(srcdir)/RectangleTool.h
	$(MOC) $(srcdir)/RectangleTool.h -o RectangleTool.moc

$(srcdir)/OvalTool.cc: OvalTool.moc
OvalTool.moc: $(srcdir)/OvalTool.h
	$(MOC) $(srcdir)/OvalTool.h -o OvalTool.moc

$(srcdir)/TextTool.cc: TextTool.moc
TextTool.moc: $(srcdir)/TextTool.h
	$(MOC) $(srcdir)/TextTool.h -o TextTool.moc

$(srcdir)/SelectionTool.cc: SelectionTool.moc
SelectionTool.moc: $(srcdir)/SelectionTool.h
	$(MOC) $(srcdir)/SelectionTool.h -o SelectionTool.moc

$(srcdir)/PolygonTool.cc: PolygonTool.moc
PolygonTool.moc: $(srcdir)/PolygonTool.h
	$(MOC) $(srcdir)/PolygonTool.h -o PolygonTool.moc

$(srcdir)/ToolController.cc: ToolController.moc
ToolController.moc: $(srcdir)/ToolController.h
	$(MOC) $(srcdir)/ToolController.h -o ToolController.moc

$(srcdir)/EditPointTool.cc: EditPointTool.moc
EditPointTool.moc: $(srcdir)/EditPointTool.h
	$(MOC) $(srcdir)/EditPointTool.h -o EditPointTool.moc

$(srcdir)/BezierTool.cc: BezierTool.moc
BezierTool.moc: $(srcdir)/BezierTool.h
	$(MOC) $(srcdir)/BezierTool.h -o BezierTool.moc

$(srcdir)/ZoomTool.cc: ZoomTool.moc
ZoomTool.moc: $(srcdir)/ZoomTool.h
	$(MOC) $(srcdir)/ZoomTool.h -o ZoomTool.moc

$(srcdir)/ColorField.cc: ColorField.moc
ColorField.moc: $(srcdir)/ColorField.h
	$(MOC) $(srcdir)/ColorField.h -o ColorField.moc

$(srcdir)/Canvas.cc: Canvas.moc
Canvas.moc: $(srcdir)/Canvas.h
	$(MOC) $(srcdir)/Canvas.h -o Canvas.moc

$(srcdir)/QwViewport.cc: QwViewport.moc
QwViewport.moc: $(srcdir)/QwViewport.h
	$(MOC) $(srcdir)/QwViewport.h -o QwViewport.moc

$(srcdir)/GDocument.cc: GDocument.moc
GDocument.moc: $(srcdir)/GDocument.h
	$(MOC) $(srcdir)/GDocument.h -o GDocument.moc

$(srcdir)/PropertyEditor.cc: PropertyEditor.moc
PropertyEditor.moc: $(srcdir)/PropertyEditor.h
	$(MOC) $(srcdir)/PropertyEditor.h -o PropertyEditor.moc

$(srcdir)/FloatSpinBox.cc: FloatSpinBox.moc
FloatSpinBox.moc: $(srcdir)/FloatSpinBox.h
	$(MOC) $(srcdir)/FloatSpinBox.h -o FloatSpinBox.moc

$(srcdir)/ColorComboBox.cc: ColorComboBox.moc
ColorComboBox.moc: $(srcdir)/ColorComboBox.h
	$(MOC) $(srcdir)/ColorComboBox.h -o ColorComboBox.moc

$(srcdir)/FontSelector.cc: FontSelector.moc
FontSelector.moc: $(srcdir)/FontSelector.h
	$(MOC) $(srcdir)/FontSelector.h -o FontSelector.moc

$(srcdir)/AlignmentDialog.cc: AlignmentDialog.moc
AlignmentDialog.moc: $(srcdir)/AlignmentDialog.h
	$(MOC) $(srcdir)/AlignmentDialog.h -o AlignmentDialog.moc

$(srcdir)/GridDialog.cc: GridDialog.moc
GridDialog.moc: $(srcdir)/GridDialog.h
	$(MOC) $(srcdir)/GridDialog.h -o GridDialog.moc

$(srcdir)/PolygonConfigDialog.cc: PolygonConfigDialog.moc
PolygonConfigDialog.moc: $(srcdir)/PolygonConfigDialog.h
	$(MOC) $(srcdir)/PolygonConfigDialog.h -o PolygonConfigDialog.moc

$(srcdir)/Ruler.cc: Ruler.moc
Ruler.moc: $(srcdir)/Ruler.h
	$(MOC) $(srcdir)/Ruler.h -o Ruler.moc

$(srcdir)/AboutDialog.cc: AboutDialog.moc
AboutDialog.moc: $(srcdir)/AboutDialog.h
	$(MOC) $(srcdir)/AboutDialog.h -o AboutDialog.moc

$(srcdir)/PolygonPreview.cc: PolygonPreview.moc
PolygonPreview.moc: $(srcdir)/PolygonPreview.h
	$(MOC) $(srcdir)/PolygonPreview.h -o PolygonPreview.moc

$(srcdir)/TransformationDialog.cc: TransformationDialog.moc
TransformationDialog.moc: $(srcdir)/TransformationDialog.h
	$(MOC) $(srcdir)/TransformationDialog.h -o TransformationDialog.moc

$(srcdir)/koPageLayoutDia.cc: koPageLayoutDia.moc
koPageLayoutDia.moc: $(srcdir)/koPageLayoutDia.h
	$(MOC) $(srcdir)/koPageLayoutDia.h -o koPageLayoutDia.moc

$(srcdir)/PStateManager.cc: PStateManager.moc
PStateManager.moc: $(srcdir)/PStateManager.h
	$(MOC) $(srcdir)/PStateManager.h -o PStateManager.moc

$(srcdir)/OptionDialog.cc: OptionDialog.moc
OptionDialog.moc: $(srcdir)/OptionDialog.h
	$(MOC) $(srcdir)/OptionDialog.h -o OptionDialog.moc

$(srcdir)/UnitBox.cc: UnitBox.moc
UnitBox.moc: $(srcdir)/UnitBox.h
	$(MOC) $(srcdir)/UnitBox.h -o UnitBox.moc

$(srcdir)/ScriptDialog.cc: ScriptDialog.moc
ScriptDialog.moc: $(srcdir)/ScriptDialog.h
	$(MOC) $(srcdir)/ScriptDialog.h -o ScriptDialog.moc

$(srcdir)/GLayer.cc: GLayer.moc
GLayer.moc: $(srcdir)/GLayer.h
	$(MOC) $(srcdir)/GLayer.h -o GLayer.moc

$(srcdir)/LayerDialog.cc: LayerDialog.moc
LayerDialog.moc: $(srcdir)/LayerDialog.h
	$(MOC) $(srcdir)/LayerDialog.h -o LayerDialog.moc

$(srcdir)/LayerView.cc: LayerView.moc
LayerView.moc: $(srcdir)/LayerView.h
	$(MOC) $(srcdir)/LayerView.h -o LayerView.moc

$(srcdir)/CommandHistory.cc: CommandHistory.moc
CommandHistory.moc: $(srcdir)/CommandHistory.h
	$(MOC) $(srcdir)/CommandHistory.h -o CommandHistory.moc

$(srcdir)/DocumentInfo.cc: DocumentInfo.moc
DocumentInfo.moc: $(srcdir)/DocumentInfo.h
	$(MOC) $(srcdir)/DocumentInfo.h -o DocumentInfo.moc

$(srcdir)/BrushCells.cc: BrushCells.moc
BrushCells.moc: $(srcdir)/BrushCells.h
	$(MOC) $(srcdir)/BrushCells.h -o BrushCells.moc

$(srcdir)/PathTextTool.cc: PathTextTool.moc
PathTextTool.moc: $(srcdir)/PathTextTool.h
	$(MOC) $(srcdir)/PathTextTool.h -o PathTextTool.moc

$(srcdir)/EllipseConfigDialog.cc: EllipseConfigDialog.moc
EllipseConfigDialog.moc: $(srcdir)/EllipseConfigDialog.h
	$(MOC) $(srcdir)/EllipseConfigDialog.h -o EllipseConfigDialog.moc

$(srcdir)/MyTabCtl.cc: MyTabCtl.moc
MyTabCtl.moc: $(srcdir)/MyTabCtl.h
	$(MOC) $(srcdir)/MyTabCtl.h -o MyTabCtl.moc

$(srcdir)/HelplineDialog.cc: HelplineDialog.moc
HelplineDialog.moc: $(srcdir)/HelplineDialog.h
	$(MOC) $(srcdir)/HelplineDialog.h -o HelplineDialog.moc

distclean-metasources:
	-rm -f Handle.moc GObject.moc GPolyline.moc GPolygon.moc GOval.moc GText.moc GGroup.moc GClipart.moc GBezier.moc GPixmap.moc Tool.moc PolylineTool.moc FreeHandTool.moc RectangleTool.moc OvalTool.moc TextTool.moc SelectionTool.moc PolygonTool.moc ToolController.moc EditPointTool.moc BezierTool.moc ZoomTool.moc ColorField.moc Canvas.moc QwViewport.moc GDocument.moc PropertyEditor.moc FloatSpinBox.moc ColorComboBox.moc FontSelector.moc AlignmentDialog.moc GridDialog.moc PolygonConfigDialog.moc Ruler.moc AboutDialog.moc PolygonPreview.moc TransformationDialog.moc koPageLayoutDia.moc PStateManager.moc OptionDialog.moc UnitBox.moc ScriptDialog.moc GLayer.moc LayerDialog.moc LayerView.moc CommandHistory.moc DocumentInfo.moc BrushCells.moc PathTextTool.moc EllipseConfigDialog.moc MyTabCtl.moc HelplineDialog.moc 

# DO_NOT_USE_AUTOMOC
